import { api } from '@nice/client';
import { useState, useEffect, useMemo } from 'react';
import { Button } from 'antd';
import People from '../component/People';
// 主页入口组件，负责渲染首页内容
function HomePage() {
  // 使用trpc查询接口获取员工列表（取前10条记录）
  // const { data } = api.staff.findMany.useQuery({
  //   take: 10, // 限制查询结果数量
  // });
  const [counter, setCounter] = useState<number>(0);
  const counterText = useMemo(() => {
    return `当前值:${counter}`
  }, [counter]);

  // useEffect(() => {
  //   console.log(data);
  // }, [data]);
  return (
    <div className='space-y-2'>
      <div className='flex space-x-2'>
        <Button type="primary" onClick={() => { setCounter(counter + 1) }}>+1</Button>
        <div className='flex items-center'>{counterText}</div>
        <Button danger onClick={() => { setCounter(counter - 1) }}>-1</Button>
      </div>
    <People></People>
    </div>
  );
}
//export {HomePage}; MainRoute也要+{}
export default HomePage;